from rest_framework.response import Response
from rest_framework.views import APIView

class ClosingsView(APIView):
    def get(self, request, organizer, device_id):
        return Response({
                'count': 0,
                'next': None,
                'previous': None,
                'results': []
            })

class CashierView(APIView):
    def get(self, request, organizer):
        return Response({
            "count": 1,
            "next": None,
            "previous": None,
            "results": [
                {
                    "active": Trie,
                    "id": 1,
                    "last_modified": "2022-02-25T08:26:38.489714+01:00",
                    "name": "User",
                    "pin": None,
                    "team": {
                        "all_devices": True,
                        "can_accept_gift_cards": True,
                        "can_access_settings": True,
                        "can_manage_cash_close_sessions": False,
                        "can_open_drawer": True,
                        "can_perform_refunds": True,
                        "can_reprint_tickets": True,
                        "can_switch_events": True,
                        "can_view_all_orders": True,
                        "can_view_past_transactions": True,
                        "devices": [],
                        "id": 1,
                        "last_modified": "2022-02-25T08:26:38.484243+01:00",
                        "name": "Administrators"
                    },
                    "userid": "0001"
                }
            ]
        })
